ExpériENS : partagez votre stage
================

ExpériENS est un projet visant à faire un "Annuaire de stage", afin de partager vos ressentis concernant les lieux, les personnes, tout ce qui a fait votre séjour.

## Développer sur son ordinateur

Clonez le dépôt. Installez les pré-requis :

    sudo apt-get install libxlst-dev python2.7-dev
    
On a besoin de SpatiaLite pour une base de données GIS. Essayez

    sudo apt-get install libsqlite3-mod-spatialite

Si ça ne marche pas, c'est que votre distribution est plus vieille, faites alors

    sudo apt-get install spatialite-bin

Il y a peut-être d'autres dépendances que j'ai oubliées, testez ce qui coince.

Ensuite, paramétrez les settings :

    cd experiENS/
    echo 'SECRET_KEY="toto"' > secrets.py
    ln -s settings_dev.py settings.py
    cd ../

Enfin, installez les autres dépendances :

    virtualenv venv
    . venv/bin/activate
    pip install -r requirements.txt
    pip install -r requirements_dev.txt
    python manage.py makemigrations
    python manage.py migrate

Vous pouvez alors lancez le serveur de développement

    python manage.py runserver

## Configuration de la recherche

Il faut installer elasticsearch 5.*. C'est compliqué. Mais en suivant https://www.elastic.co/guide/en/elasticsearch/reference/5.4/deb.html ça va.

    wget -qO - https://artifacts.elastic.co/GPG-KEY-elasticsearch | sudo apt-key add -
    sudo apt-get install apt-transport-https
    echo "deb https://artifacts.elastic.co/packages/5.x/apt stable main" | sudo tee -a /etc/apt/sources.list.d/elastic-5.x.list
    sudo apt-get update && sudo apt-get install elasticsearch
    
    sudo systemctl daemon-reload
    sudo systemctl enable elasticsearch.service
    sudo systemctl start elasticsearch.service

Et puis, de retour dans le virtualenv python

   python manage.py search_index --rebuild

Si des erreurs s'affichent, il y a une cachuète dans le beurre.

## Changer le CSS

Ne modifiez PAS les fichiers css de `avisstage/static/css`. Ce projet utilise compass, il faut donc l'installer :

    sudo apt-get install ruby-full
    gem update --system
    gem install compass

Les fichiers scss à modifier sont dans `avisstage/sass/`. Quand vous les modifiez, lancez en arrière plan le compilateur compass

    cd avisstage
    compass watch

