#coding: utf-8
from django.core.management.base import BaseCommand, CommandError
from django.db.models import Count
from avisstage.models import Stage, Lieu

class Command(BaseCommand):
    help = 'Nettoie les stages à plusieurs lieux identiques'

    def add_arguments(self, parser):
        parser.add_argument('min_lieu', nargs='?', default=0, type=int)
        parser.add_argument(
            '--apply',
            action='store_true',
            default=False,
            help='Applies the modifications',
        )

    def handle(self, *args, **options):
        rundb = False
        if options.get('apply', False):
            rundb = True
        else:
            print u"Les modifications ne seront pas appliquées"
            
        min_lieu = options.get('min_lieu', 0)

        for lieu in Lieu.objects.filter(id__gte=min_lieu).order_by('-id'):
            lproches = Lieu.objects.filter(id__lt=lieu.id, coord__distance_lte=(lieu.coord, 5))
            if len(lproches) == 0:
                continue
            print u"Doublons possibles pour %s (id=%d, %d avis) :" % (lieu, lieu.id, lieu.avislieu_set.count())
            for plieu in lproches:
                pprint = u" > %s (id=%d, %d avis)" % (plieu, plieu.id, plieu.avislieu_set.count())
                if plieu.nom == lieu.nom and plieu.ville == lieu.ville and plieu.type_lieu == lieu.type_lieu:
                    print u"%s %s" % (pprint, self.style.SUCCESS(u'-> Suppression'))
                    if rundb:
                        for avis in plieu.avislieu_set.all():
                            avis.lieu = lieu
                            avis.save()
                        plieu.delete()
                else:
                    print u"%s %s" % (pprint, self.style.WARNING(u'-> À supprimer manuellement'))
        self.stdout.write(self.style.SUCCESS(u'Nettoyage des lieux effectué'))
