#coding: utf-8
from django.core.management.base import BaseCommand, CommandError
from django.db.models import Count
from avisstage.models import Stage, Lieu

class Command(BaseCommand):
    help = 'Nettoie les stages à plusieurs lieux identiques'

    def add_arguments(self, parser):
        parser.add_argument('del_lieu', type=int, help='Lieu à supprimer')
        parser.add_argument('repl_lieu', type=int, help='Lieu le remplaçant')
        parser.add_argument(
            '--apply',
            action='store_true',
            default=False,
            help='Applies the modifications',
        )

    def handle(self, *args, **options):
        rundb = False
        if options.get('apply', False):
            rundb = True
        else:
            print u"Les modifications ne seront pas appliquées"

        plieu = Lieu.objects.get(id=options['del_lieu'])
        lieu = Lieu.objects.get(id=options['repl_lieu'])
        print u"Suppression de %s (id=%d, %d avis)" % (plieu, plieu.id, plieu.avislieu_set.count())
        print u"Remplacement par %s (id=%d, %d avis)" % (lieu, lieu.id, lieu.avislieu_set.count())
        if rundb:
            for avis in plieu.avislieu_set.all():
                avis.lieu = lieu
                avis.save()
            plieu.delete()
        self.stdout.write(self.style.SUCCESS(u'Terminé'))
