# coding: utf-8

DEPARTEMENTS_DEFAUT = (
    ('phy', u'Physique'),
    ('maths', u'Maths'),
    ('bio', u'Biologie'),
    ('chimie', u'Chimie'),
    ('geol', u'Géosciences'),
    ('dec', u'DEC'),
    ('info', u'Informatique'),
    ('litt', u'Littéraire'),
    ('guests', u'Pensionnaires étrangers'),
    ('pei', u'PEI'),
)

TYPE_STAGE_OPTIONS = (
    (u'Recherche :', (
        ('recherche', u"Stage académique"),
        ('recherche_autre', u"Stage non-académique"),
        ('sejour_dri', u"Séjour de recherche DRI"),
    )),
    (u'Stage sans visée de recherche :', (
        ('pro', u"Stage en entreprise"),
        ('admin', u"Stage en admin./ONG/orga. internationale"),
    )),
    (u'Enseignement :', (
        ('lectorat', u"Lectorat DRI"),
        ('autre_teach', u"Autre expérience d'enseignement"),
    )),
    ('autre', u"Autre"),
)

# Dictionnaire des type de stage (et de leur genre, True=féminin)
TYPE_STAGE_DICT = {
    'recherche': (u"stage de recherche académique", False),
    'recherche_autre': (u"stage de recherche non-académique", False),
    'sejour_dri': (u"séjour de recherche DRI", False),
    'pro': (u"stage en entreprise sans visée de recherche", False),
    'admin': (u"stage en administration, ONG ou organisation internationale", False),
    'lectorat': (u"lectorat DRI", False),
    'autre_teach': (u"expérience de recherche", True),
    'autre': (u"expérience", True),
}

TYPE_LIEU_OPTIONS = (
    ('universite', u"Université"),
    ('entreprise', u"Entreprise"),
    ('centrerecherche', u"Centre de recherche"),
    ('administration', u"Administration"),
    ('autre', u"Autre"),
)

# Place du stage dans le cursus

NIVEAU_SCOL_OPTIONS = (
    ('L3', u"Licence 3"),
    ('M1', u"Master 1"),
    ('M2', u"Master 2"),
    ('DOC', u"Pré-doctorat"),
    ('CST', u"Césure"),
    ('BLA', u"Année blanche"),
    ('VAC', u"Vacances scolaires"),
    ('MIT', u"Mi-temps en parallèle des études"),
    ('', u"Autre"),
)

NIVEAU_SCOL_DICT = {
    "L3": u"pendant sa troisième année de Licence",
    "M1": u"pendant sa première année de Master",
    "M2": u"pendant sa deuxième année de Master",
    "DOC": u"pendant son année de pré-doctorat",
    "CST": u"pendant une année de césure",
    "BLA": u"pendant une année blanche",
    "VAC": u"pendant des vacances scolaires",
    "MIT": u"à mi-temps en parallèle des études",
}
    

# Dictionnaire des noms de lieux (et de leur genre, True=féminin)
TYPE_LIEU_DICT = {
    'universite': (u"université", True),
    'entreprise': (u"entreprise", True),
    'centrerecherche': (u"centre de recherche", False),
    'administration': (u"administration", True),
    'autre': (u"lieu", False),
}

PAYS_OPTIONS = (
     ("AF", u"Afghanistan"),
     ("AL", u"Albanie"),
     ("AQ", u"Antarctique"),
     ("DZ", u"Algérie"),
     ("AS", u"Samoa Américaines"),
     ("AD", u"Andorre"),
     ("AO", u"Angola"),
     ("AG", u"Antigua-et-Barbuda"),
     ("AZ", u"Azerbaïdjan"),
     ("AR", u"Argentine"),
     ("AU", u"Australie"),
     ("AT", u"Autriche"),
     ("BS", u"Bahamas"),
     ("BH", u"Bahreïn"),
     ("BD", u"Bangladesh"),
     ("AM", u"Arménie"),
     ("BB", u"Barbade"),
     ("BE", u"Belgique"),
     ("BM", u"Bermudes"),
     ("BT", u"Bhoutan"),
     ("BO", u"Bolivie"),
     ("BA", u"Bosnie-Herzégovine"),
     ("BW", u"Botswana"),
     ("BV", u"Île Bouvet"),
     ("BR", u"Brésil"),
     ("BZ", u"Belize"),
     ("IO", u"Territoire Britannique de l'Océan Indien"),
     ("SB", u"Îles Salomon"),
     ("VG", u"Îles Vierges Britanniques"),
     ("BN", u"Brunéi Darussalam"),
     ("BG", u"Bulgarie"),
     ("MM", u"Myanmar"),
     ("BI", u"Burundi"),
     ("BY", u"Bélarus"),
     ("KH", u"Cambodge"),
     ("CM", u"Cameroun"),
     ("CA", u"Canada"),
     ("CV", u"Cap-vert"),
     ("KY", u"Îles Caïmanes"),
     ("CF", u"République Centrafricaine"),
     ("LK", u"Sri Lanka"),
     ("TD", u"Tchad"),
     ("CL", u"Chili"),
     ("CN", u"Chine"),
     ("TW", u"Taïwan"),
     ("CX", u"Île Christmas"),
     ("CC", u"Îles Cocos (Keeling)"),
     ("CO", u"Colombie"),
     ("KM", u"Comores"),
     ("YT", u"Mayotte"),
     ("CG", u"République du Congo"),
     ("CD", u"République Démocratique du Congo"),
     ("CK", u"Îles Cook"),
     ("CR", u"Costa Rica"),
     ("HR", u"Croatie"),
     ("CU", u"Cuba"),
     ("CY", u"Chypre"),
     ("CZ", u"République Tchèque"),
     ("BJ", u"Bénin"),
     ("DK", u"Danemark"),
     ("DM", u"Dominique"),
     ("DO", u"République Dominicaine"),
     ("EC", u"Équateur"),
     ("SV", u"El Salvador"),
     ("GQ", u"Guinée Équatoriale"),
     ("ET", u"Éthiopie"),
     ("ER", u"Érythrée"),
     ("EE", u"Estonie"),
     ("FO", u"Îles Féroé"),
     ("FK", u"Îles (malvinas) Falkland"),
     ("GS", u"Géorgie du Sud et les Îles Sandwich du Sud"),
     ("FJ", u"Fidji"),
     ("FI", u"Finlande"),
     ("AX", u"Îles Åland"),
     ("FR", u"France"),
     ("GF", u"Guyane Française"),
     ("PF", u"Polynésie Française"),
     ("TF", u"Terres Australes Françaises"),
     ("DJ", u"Djibouti"),
     ("GA", u"Gabon"),
     ("GE", u"Géorgie"),
     ("GM", u"Gambie"),
     ("PS", u"Territoire Palestinien Occupé"),
     ("DE", u"Allemagne"),
     ("GH", u"Ghana"),
     ("GI", u"Gibraltar"),
     ("KI", u"Kiribati"),
     ("GR", u"Grèce"),
     ("GL", u"Groenland"),
     ("GD", u"Grenade"),
     ("GP", u"Guadeloupe"),
     ("GU", u"Guam"),
     ("GT", u"Guatemala"),
     ("GN", u"Guinée"),
     ("GY", u"Guyana"),
     ("HT", u"Haïti"),
     ("HM", u"Îles Heard et Mcdonald"),
     ("VA", u"Saint-Siège (état de la Cité du Vatican)"),
     ("HN", u"Honduras"),
     ("HK", u"Hong-Kong"),
     ("HU", u"Hongrie"),
     ("IS", u"Islande"),
     ("IN", u"Inde"),
     ("ID", u"Indonésie"),
     ("IR", u"République Islamique d'Iran"),
     ("IQ", u"Iraq"),
     ("IE", u"Irlande"),
     ("IL", u"Israël"),
     ("IT", u"Italie"),
     ("CI", u"Côte d'Ivoire"),
     ("JM", u"Jamaïque"),
     ("JP", u"Japon"),
     ("KZ", u"Kazakhstan"),
     ("JO", u"Jordanie"),
     ("KE", u"Kenya"),
     ("KP", u"République Populaire Démocratique de Corée"),
     ("KR", u"République de Corée"),
     ("KW", u"Koweït"),
     ("KG", u"Kirghizistan"),
     ("LA", u"République Démocratique Populaire Lao"),
     ("LB", u"Liban"),
     ("LS", u"Lesotho"),
     ("LV", u"Lettonie"),
     ("LR", u"Libéria"),
     ("LY", u"Jamahiriya Arabe Libyenne"),
     ("LI", u"Liechtenstein"),
     ("LT", u"Lituanie"),
     ("LU", u"Luxembourg"),
     ("MO", u"Macao"),
     ("MG", u"Madagascar"),
     ("MW", u"Malawi"),
     ("MY", u"Malaisie"),
     ("MV", u"Maldives"),
     ("ML", u"Mali"),
     ("MT", u"Malte"),
     ("MQ", u"Martinique"),
     ("MR", u"Mauritanie"),
     ("MU", u"Maurice"),
     ("MX", u"Mexique"),
     ("MC", u"Monaco"),
     ("MN", u"Mongolie"),
     ("MD", u"République de Moldova"),
     ("MS", u"Montserrat"),
     ("MA", u"Maroc"),
     ("MZ", u"Mozambique"),
     ("OM", u"Oman"),
     ("NA", u"Namibie"),
     ("NR", u"Nauru"),
     ("NP", u"Népal"),
     ("NL", u"Pays-Bas"),
     ("AN", u"Antilles Néerlandaises"),
     ("AW", u"Aruba"),
     ("NC", u"Nouvelle-Calédonie"),
     ("VU", u"Vanuatu"),
     ("NZ", u"Nouvelle-Zélande"),
     ("NI", u"Nicaragua"),
     ("NE", u"Niger"),
     ("NG", u"Nigéria"),
     ("NU", u"Niué"),
     ("NF", u"Île Norfolk"),
     ("NO", u"Norvège"),
     ("MP", u"Îles Mariannes du Nord"),
     ("UM", u"Îles Mineures Éloignées des États-Unis"),
     ("FM", u"États Fédérés de Micronésie"),
     ("MH", u"Îles Marshall"),
     ("PW", u"Palaos"),
     ("PK", u"Pakistan"),
     ("PA", u"Panama"),
     ("PG", u"Papouasie-Nouvelle-Guinée"),
     ("PY", u"Paraguay"),
     ("PE", u"Pérou"),
     ("PH", u"Philippines"),
     ("PN", u"Pitcairn"),
     ("PL", u"Pologne"),
     ("PT", u"Portugal"),
     ("GW", u"Guinée-Bissau"),
     ("TL", u"Timor-Leste"),
     ("PR", u"Porto Rico"),
     ("QA", u"Qatar"),
     ("RE", u"Réunion"),
     ("RO", u"Roumanie"),
     ("RU", u"Fédération de Russie"),
     ("RW", u"Rwanda"),
     ("SH", u"Sainte-Hélène"),
     ("KN", u"Saint-Kitts-et-Nevis"),
     ("AI", u"Anguilla"),
     ("LC", u"Sainte-Lucie"),
     ("PM", u"Saint-Pierre-et-Miquelon"),
     ("VC", u"Saint-Vincent-et-les Grenadines"),
     ("SM", u"Saint-Marin"),
     ("ST", u"Sao Tomé-et-Principe"),
     ("SA", u"Arabie Saoudite"),
     ("SN", u"Sénégal"),
     ("SC", u"Seychelles"),
     ("SL", u"Sierra Leone"),
     ("SG", u"Singapour"),
     ("SK", u"Slovaquie"),
     ("VN", u"Viet Nam"),
     ("SI", u"Slovénie"),
     ("SO", u"Somalie"),
     ("ZA", u"Afrique du Sud"),
     ("ZW", u"Zimbabwe"),
     ("ES", u"Espagne"),
     ("EH", u"Sahara Occidental"),
     ("SD", u"Soudan"),
     ("SR", u"Suriname"),
     ("SJ", u"Svalbard etÎle Jan Mayen"),
     ("SZ", u"Swaziland"),
     ("SE", u"Suède"),
     ("CH", u"Suisse"),
     ("SY", u"République Arabe Syrienne"),
     ("TJ", u"Tadjikistan"),
     ("TH", u"Thaïlande"),
     ("TG", u"Togo"),
     ("TK", u"Tokelau"),
     ("TO", u"Tonga"),
     ("TT", u"Trinité-et-Tobago"),
     ("AE", u"Émirats Arabes Unis"),
     ("TN", u"Tunisie"),
     ("TR", u"Turquie"),
     ("TM", u"Turkménistan"),
     ("TC", u"Îles Turks et Caïques"),
     ("TV", u"Tuvalu"),
     ("UG", u"Ouganda"),
     ("UA", u"Ukraine"),
     ("MK", u"L'ex-République Yougoslave de Macédoine"),
     ("EG", u"Égypte"),
     ("GB", u"Royaume-Uni"),
     ("IM", u"Île de Man"),
     ("TZ", u"République-Unie de Tanzanie"),
     ("US", u"États-Unis"),
     ("VI", u"Îles Vierges des États-Unis"),
     ("BF", u"Burkina Faso"),
     ("UY", u"Uruguay"),
     ("UZ", u"Ouzbékistan"),
     ("VE", u"Venezuela"),
     ("WF", u"Wallis et Futuna"),
     ("WS", u"Samoa"),
     ("YE", u"Yémen"),
     ("CS", u"Serbie-et-Monténégro"),
     ("ZM", u"Zambie"),
)
