# coding: utf-8
from django import template

from avisstage.forms import LieuForm, FeedbackForm
import re

register = template.Library()

@register.inclusion_tag('avisstage/templatetags/widget_lieu.html')
def lieu_widget():
    form = LieuForm()
    return {"form": form}

@register.inclusion_tag('avisstage/templatetags/widget_feedback.html')
def feedback_widget():
    form = FeedbackForm()
    return {"form": form}

@register.filter
def typonazisme(value):
    #print value
    #return value
    value = re.sub(r'(\w)\s*([?!:])', u'\\1 \\2', value)
    value = re.sub(r'(\w)\s*([,.])', u'\\1\\2', value)
    value = re.sub(r'([?!:,.])(\w)', u'\\1 \\2', value)
    return value

@register.filter
def avis_len(value):
    if value < 5:
        return "vide"
    elif value < 30:
        return "court"
    else:
        return "long"
