from django.conf.urls import include, url
from . import views, api
from tastypie.api import Api

v1_api = Api(api_name='v1')
v1_api.register(api.LieuResource())
v1_api.register(api.StageResource())
v1_api.register(api.AuteurResource())

urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^perso/$', views.perso, name='perso'),
    url(r'^faq/$', views.faq, name='faq'),
    url(r'^stage/nouveau/$', views.manage_stage, name='stage_ajout'),
    url(r'^stage/(?P<pk>\w+)/$', views.StageView.as_view(), name='stage'),
    url(r'^stage/(?P<pk>\w+)/edit/$', views.manage_stage, name='stage_edit'),
    url(r'^stage/(?P<pk>\w+)/publication/$', views.publier_stage, name='stage_publication'),
    url(r'^stages/majs/$', views.StageListe.as_view(), name='stage_majs'),
    
    url(r'^lieu/save/$', views.save_lieu, name='lieu_ajout'),
    url(r'^profil/show/(?P<username>\w+)/$', views.ProfilView.as_view(),
        name='profil'),
    url(r'^profil/edit/$', views.ProfilEdit.as_view(), name='profil_edit'),
    url(r'^recherche/$', views.recherche, name='recherche'),
    url(r'^recherche/resultats/$', views.recherche_resultats, name='recherche_resultats'),
    url(r'^feedback/$', views.feedback, name='feedback'),
    url(r'^moderation/$', views.statistiques, name='moderation'),
    url(r'^api/', include(v1_api.urls)),
]
