from settings_base import *

from secrets import SECRET_KEY

DEBUG = True

DATABASES = {
    'default': {
        'ENGINE': 'django.contrib.gis.db.backends.spatialite',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
    }
}

INSTALLED_APPS += (
    'debug_toolbar',
)

MIDDLEWARE_CLASSES = (
    'debug_toolbar.middleware.DebugToolbarMiddleware',
) + MIDDLEWARE_CLASSES

INTERNAL_IPS = ['127.0.0.1']

SPATIALITE_LIBRARY_PATH = 'mod_spatialite'

STATIC_ROOT = "/home/evarin/Bureau/experiENS/static/"

EMAIL_BACKEND = 'django.core.mail.backends.console.EmailBackend'

STATIC_URL = "/experiens/static/"

ELASTICSEARCH_DSL = {
    'default': {
        'hosts': 'localhost:9200'
    },
}
